CGAL 6.2 - Shape Detection: CGAL::Shape_detection::Efficient_RANSAC< Traits >::Parameters Struct Reference

CGAL 6.2 - Shape Detection

Loading...
Searching...
No Matches
List of all members | Public Attributes
CGAL::Shape_detection::Efficient_RANSAC< Traits >::Parameters Struct Reference

`#include <CGAL/Shape_detection/Efficient_RANSAC/Efficient_RANSAC.h>`

## Definition

template<class Traits>
struct CGAL::Shape_detection::Efficient_RANSAC< Traits >::Parameters

Parameters for the shape detection algorithm.

They are explained in detail in Section Parameters of the User Manual.

## Public Attributes
FT | probability
| Probability to control search endurance.
std::size_t | min_points
| Minimum number of points in a shape.
FT | epsilon
| Maximum acceptable Euclidean distance between a point and a shape.
FT | normal_threshold
| Maximum threshold on the dot product between the estimated shape's normal and the point's normal, that is the cosine of the angle (cos(25°) = 0.9).
FT | cluster_epsilon
| Maximum acceptable Euclidean distance between points, which are assumed to be neighbors.

## Member Data Documentation

## ◆ cluster_epsilon

template<class Traits >

FT CGAL::Shape_detection::Efficient_RANSAC< Traits >::Parameters::cluster_epsilon

Maximum acceptable Euclidean distance between points, which are assumed to be neighbors.

Default value is 1% of the bounding box diagonal.

It must belong to the interval [0, +inf).

## ◆ epsilon

template<class Traits >

FT CGAL::Shape_detection::Efficient_RANSAC< Traits >::Parameters::epsilon

Maximum acceptable Euclidean distance between a point and a shape.

Default value is 1% of the bounding box diagonal.

It must belong to the interval [0, +inf).

## ◆ min_points

template<class Traits >

std::size_t CGAL::Shape_detection::Efficient_RANSAC< Traits >::Parameters::min_points

Minimum number of points in a shape.

Default value is 1% of total number of input points.

It must belong to the interval [0, +inf).

## ◆ normal_threshold

template<class Traits >

FT CGAL::Shape_detection::Efficient_RANSAC< Traits >::Parameters::normal_threshold

Maximum threshold on the dot product between the estimated shape's normal and the point's normal, that is the cosine of the angle (cos(25°) = 0.9).

Default value is 0.9 (around 25 degrees).

It must belong to the interval [0, 1].

## ◆ probability

template<class Traits >

FT CGAL::Shape_detection::Efficient_RANSAC< Traits >::Parameters::probability

Probability to control search endurance.

Default value is 0.05.

A lower probability provides a higher reliability and determinism at the cost of longer running time due to a higher search endurance.

It must belong to the interval [0, 1].